/********************************************************************
*
*
*
*********************************************************************
* FileName:        DEFINE.H
* Dependencies:    See INCLUDES section below
* Processor:       PIC16F886
* Compiler:        HITECH 9.6 STD (only)
* Company:         Microchip Technology, Inc.
*
* Software License Agreement:
*
* The software supplied herewith by Microchip Technology Incorporated
* (the "Company") for its PICmicro Microcontroller is intended and
* supplied to you, the Company's customer, for use solely and
* exclusively on Microchip PICmicro Microcontroller products. The
* software is owned by the Company and/or its supplier, and is
* protected under applicable copyright laws. All rights are reserved.
* Any use in violation of the foregoing restrictions may subject the
* user to criminal sanctions under applicable laws, as well as to
* civil liability for the breach of the terms and conditions of this
* license.
*
* THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
* WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
* TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
* PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
* CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
*********************************************************************
* File Description: Generic header file with convenient defines
*
* Change History:
* Author k.curtis  Date 2008       Comment
********************************************************************/
#include "htc.h"
#include "board.h"

/** Defines **/

#define	CLEAR			0						// Bit Clear/Set Definitions
#define SET				1


#define AVG_DELAY		10

#define	ON				0						// LED ON Definition  (Active Low)
#define OFF				1						// LED OFF Definition (Active Low)


/** Declare Pinouts **/

// I2C Comms.
#define TRISSDA			TRISC4
#define TRISSCL			TRISC3

// To make global must make typedefs... slightly awkward.
typedef struct {
						char	BTN0:1;			// { byte 0 }
						char	BTN1:1;
						char	BTN2:1;
						char	BTN3:1;
						char	BTN4:1;
						char	BTN5:1;
						char	BTN6:1;
						char	BTN7:1;
						char	BTN8:1;			// { byte 2 }
						char	BTN9:1;
						char	BTN10:1;
						char	BTN11:1;
					} BButtons;


typedef struct {
						char	SSPBF:1;											// Flag if SSP Module is busy (Comm in progress)
						char	SLEEP:1;											// Flag to indicate sleep operation
					} FFlags;

// I2C Communications
extern unsigned char	ByteCount;
extern unsigned int		TempInt;
extern unsigned char	SSPCommand;
extern unsigned char	SSPIndex;
extern unsigned char	SSPSize;
extern unsigned char	IndexCount;

// Flag variable with SSP Busy Flag bit.
extern FFlags Flags;

// Flags for Capacitive Sensing, BTNx indicates a button down.
extern BButtons Buttons;


extern bank3 unsigned int	RAW	   [NUM_BTTNS];
extern bank3 unsigned int	AVERAGE[NUM_BTTNS];		// Can't fit all in one bank. Only 96 bytes per Banks 2|3, (Max 24 bttns)
extern bank3 unsigned int	GUARD  [NUM_BTTNS];
extern bank3 unsigned int	TRIP   [NUM_BTTNS];		//  "


extern unsigned char	FIRST;					// first variable to 'discard' first N samples
extern unsigned char	INDEX;					// Index of what button is being checked.

extern unsigned int		value;					// current button value
