/********************************************************************
*
*
*
*********************************************************************
* FileName:        SSP.H
* Dependencies:    See INCLUDES section below
* Processor:       PIC16F886
* Compiler:        HITECH 9.60 STD (only)
* Company:         Microchip Technology, Inc.
*
* Software License Agreement:
*
* The software supplied herewith by Microchip Technology Incorporated
* (the "Company") for its PICmicro Microcontroller is intended and
* supplied to you, the Company's customer, for use solely and
* exclusively on Microchip PICmicro Microcontroller products. The
* software is owned by the Company and/or its supplier, and is
* protected under applicable copyright laws. All rights are reserved.
* Any use in violation of the foregoing restrictions may subject the
* user to criminal sanctions under applicable laws, as well as to
* civil liability for the breach of the terms and conditions of this
* license.
*
* THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
* WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
* TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
* PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
* CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
*********************************************************************
* File Description: header file for the I2C fucntions
*
* Change History:
* Author t. perme    Date 2007       Comment
********************************************************************/
// SSP Prototypes
extern void SSPInit(void);
extern void SSPISR(void);
extern void LoadSSPBUF(void);
extern void UnloadSSPBUF(void);


// SSP Command Bytes
#define READ_NUM_SENSORS		0x00
#define READ_RAW_AVG			0x03
#define READ_ALL				0x0C
#define WRITE_SENSOR			0x30
